Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:           sinjdoc
Version:        0.5
Release:        3
Summary:        Documentation generator for Java source code

Group:          Development/Tools
License:        GPL
URL:            http://cscott.net/Projects/GJ/sinjdoc-latest/
Source0:        http://cscott.net/Projects/GJ/sinjdoc-latest/sinjdoc-0.5.tar.gz
Patch0:         sinjdoc-annotations.patch
Patch1:         sinjdoc-autotools-changes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: 	autoconf
BuildRequires: 	automake
BuildRequires: 	ecj
BuildRequires: 	gcc-java >= 4.0.2
BuildRequires: 	java-gcj-compat-devel >= 1.0.70
BuildRequires: 	java_cup >= 0.10

Requires:         java_cup >= 0.10
Requires:         libgcj >= 4.1.2
Requires(post):   java-gcj-compat >= 1.0.70
Requires(postun): java-gcj-compat >= 1.0.70

%description
This package contains Sinjdoc a tool for generating Javadoc-style
documentation from Java source code

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
autoreconf -f -i
automake
autoconf
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
cat > sinjdoc << EOF
#!/bin/sh
%{_bindir}/gij -classpath \
  %{_javadir}/java_cup-runtime.jar:%{_javadir}/sinjdoc.jar \
  net.cscott.sinjdoc.Main "\$@"
EOF
install -d 755 $RPM_BUILD_ROOT%{_bindir}
install -m 655 sinjdoc $RPM_BUILD_ROOT%{_bindir}/sinjdoc
install -d 755 $RPM_BUILD_ROOT%{_javadir}
install -D -m 644 sinjdoc.jar $RPM_BUILD_ROOT%{_javadir}/sinjdoc.jar
aot-compile-rpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi

%postun
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/sinjdoc
%{_javadir}/sinjdoc.jar
%{_libdir}/gcj/%{name}

%changelog
* Tue Jan 22 2008 Christian Metzen <metzench@ccux-linux.de> 0.5-3
- rebuild against java_cup
* Tue Jan 22 2008 Christian Metzen <metzench@ccux-linux.de> 0.5-2
- clean gcj buildchain
* Fri Jan 18 2008 Christian Metzen <metzench@ccux-linux.de> 0.5-1
- Initial release